List entries of a stage
curl --request GET \
--url https://api.gleap.io/v3/pipelines/{pipelineId}/entries \
--header 'Authorization: Bearer <token>' \
--header 'project: <project>'import requests
url = "https://api.gleap.io/v3/pipelines/{pipelineId}/entries"
headers = {
"project": "<project>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {project: '<project>', Authorization: 'Bearer <token>'}
};
fetch('https://api.gleap.io/v3/pipelines/{pipelineId}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"updatedAt": "<string>",
"createdAt": "<string>",
"recordId": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"pipeline": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"project": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
},
"values": "<unknown>",
"_id": "<string>",
"laneChangedAt": "2023-11-07T05:31:56Z",
"recordSnapshot": {
"subtitle": "<string>",
"plan": "<string>",
"externalId": "<string>",
"value": 123,
"name": "<string>"
},
"laneId": "<string>",
"lexorank": "<string>",
"createdBy": {
"isValid": {},
"createFromHexString": {},
"createFromTime": {},
"generate": {},
"cacheHexString": "<unknown>"
}
}
]Pipelines
List entries of a stage
List the entries of one stage, ordered by their board position. laneId is the stage’s id
from the pipeline’s lanes. Paginated via skip (default 0) and limit (default 50,
maximum 200).
GET
/
pipelines
/
{pipelineId}
/
entries
List entries of a stage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
200 - application/json
Ok
Show child attributes
Show child attributes
Available options:
COMPANY, CONTACT Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I